
/**
 * Cores em RGB
 */
public class Cor
{
    public int r;
    public int g;
    public int b;
    
    // Variáveis globais
    static Cor BRANCO = new Cor("branco");
    static Cor AZUL = new Cor("azul");
    static Cor VERMELHO = new Cor("vermelho");
    static Cor VERDE = new Cor("verde");
    
    /*
     * Cria uma cor dados os componentes entre 0 e 255
     */
    public Cor(int r, int g, int b) {
        this.r = r;
        this.g = g;
        this.b = b;
    }
    
    /*
     * Cria uma cor dados os componentes entre 0 e 1
     */
    public Cor(double r, double g, double b) {
    	this.r = (int)(r*255);
    	this.g = (int)(g*255);
    	this.b = (int)(b*255);
    }
    
    /*
     * Cria uma cor dado seu nome
     */
    public Cor(String cor) {
        if(cor.equals("branco")) {
            this.r = 255;
            this.g = 255;
            this.b = 255;
        } else if(cor.equals("azul")) {
            this.b = 255;
        } else if(cor.equals("vermelho")) {
            this.r = 255;
        } else if(cor.equals("verde")) {
            this.g = 255;
        }
    }
}
